# TCL_CreateSlave

Create a TCL slave interpreter

## Calling Sequence

    TCL_CreateSlave(slaveName[, isSafe])

## Arguments

slaveName

  String: Name of the TCL slave interpreter to create.

isSafe

  Boolean: `%T` to create a safe slave interpreter, `%F` otherwise. The default value is `%F`. A safe slave is not allowed to perform some operations, see the TCL documentation for more information.

## Description

This routine allows to create a TCL slave interpreter.

More information about Tcl/Tk: http://www.tcl.tk/doc/

## Examples

    TCL_CreateSlave("TCLinterp")
    TCL_SetVar("a","r","TCLinterp")
    TCL_ExistVar("a","TCLinterp")
    TCL_ExistVar("a")
    TCL_DeleteInterp("TCLinterp")

    TCL_CreateSlave("TCLinterp", %T)
    TCL_SetVar("a","r","TCLinterp")
    TCL_ExistVar("a","TCLinterp")
    TCL_ExistVar("a")
    TCL_DeleteInterp("TCLinterp")

## See Also

- TCL_SetVar
- TCL_ExistVar
- TCL_DeleteInterp